USERADD(8)

NOME
useradd - crea un nuovo utente o aggiorna le informazioni predefinite per i nuovi utenti

SINOSSI

useradd [opzioni] LOGIN

useradd -D

useradd -D [opzioni]

DESCRIZIONE

When invoked without the -D option, the useradd command creates a new user account using the values specified on the command line plus the default values from the system. Depending on command line options, the useradd command will update system files and may also create the new user's home directory and copy initial files.

OPZIONI

Il comando useradd accetta le seguenti opzioni:

-b, --base-dir BASE_DIR
    The default base directory for the system if -d HOME_DIR is not specified. BASE_DIR is concatenated with the account name to define the home directory. If the -m option is not used, BASE_DIR must exist.

-c, --comment COMMENT
    Any text string. It is generally a short description of the login, and is currently used as the field for the user's full name.

-d, --home HOME_DIR
    The new user will be created using HOME_DIR as the value for the user's login directory. The default is to append the LOGIN name to BASE_DIR and use that as the login directory name. The directory HOME_DIR does not have to exist but will not be created if it is missing.

-D, --defaults
    See below, the subsection "Changing the default values".

-e, --expiredate EXPIRE_DATE
    La data in cui l'account dell'utente verrà disabilitato. La data è specificata nel formato MM/GG/AA.

-f, --inactive INACTIVE
    Il numero di giorni dopo la scadenza della password prima che l'account verrà permanentemente disabilitato. Un valore pari a 0 disabilita l'account non appena la password è scaduta, ed un valore pari a -1 disabilita questa caratteristica. Il valore predefinito è -1.

-g, --gid GROUP
    The group name or number of the user's initial login group. The group name must exist. A group number must refer to an already existing group. The default group number is 1 or whatever is specified in /etc/default/useradd.

-G, --groups GROUP1[,GROUP2,...[,GROUPN]]]
    Una lista di gruppi supplementari di cui l'utente è altresì membro. Ciascun gruppo è separato dal successivo da una virgola, senza spazi bianchi intermedi. I gruppi sono soggetti alle stesse restrizioni del gruppo dato con l'opzione -g. Il comportamento predefinito è che l'utente appartenga solo al gruppo iniziale.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-k, --skel SKEL_DIR
    The skeleton directory, which contains files and directories to be copied in the user's home directory, when the home directory is created by useradd.

    This option is only valid if the -m (or --create-home) option is specified.

    If this option is not set, the skeleton directory is defined in /etc/default/useradd or, by default, /etc/skel.

-K, --key KEY=VALUE
    Overrides /etc/login.defs defaults (UID_MIN, UID_MAX, UMASK, PASS_MAX_DAYS and others). Example: -K PASS_MAX_DAYS=-1 can be used when creating system account to turn off password ageing, even though system account has no password at all. Multiple -K options can be specified, e.g.: -K UID_MIN=100 -K UID_MAX=499

    Note: -K UID_MIN=10,UID_MAX=499 doesn't work yet.

-l
    Do not add the user to the lastlog and faillog databases.

    By default, the user's entries in the lastlog and faillog databases are resetted to avoid reusing the entry from a previously deleted user.

-m, --create-home
    Create the user's home directory if it does not exist. The files and directories contained in the skeleton directory (which can be defined with the -k option) will be copied to the home directory.

    By default, no home directories are created.

-N, --no-user-group
    Do not create a group with the same name as the user, but add the user to the group specified by the -g option or by the GROUP variable in /etc/default/useradd.

    The default behavior (if the -g, -N, and -U options are not specified) is defined by the USERGROUPS_ENAB variable in login.defs.

-o, --non-unique
    Allow the creation of a user account with a duplicate (non-unique) UID.

-p, --password PASSWORD
    The encrypted password, as returned by crypt(3). The default is to disable the account.

-r, --system
    Create a system account.

    System users will be created with no aging information in /etc/shadow, and their numeric identifiers are choosen in the SYS_UID_MIN-SYS_UID_MAX range, defined in login.defs, instead of UID_MIN-UID_MAX (and their GID counterparts for the creation of groups).

-s, --shell SHELL
    Il nome della shell di login dell'utente. Il comportamento predefinito è di lasciare vuoto questo campo, che fa sì che il sistema selezioni la shell di connessione predefinita.

-u, --uid UID
    Il valore numerico dell'identificatore (ID) del gruppo. Questo valore deve essere univoco, a meno che non venga usata l'opzione -o. Il valore deve essere non-negativo. La scelta predefinita è quella di usare il minimo valore di ID superiore a 999 e superiore a qualunque altro gruppo. Valori tra 0 e 999 sono tipicamente riservati per account di sistema.

-U, --user-group
    Create a group with the same name as the user, and add the user to this group.

    The default behavior (if the -g, -N, and -U options are not specified) is defined by the USERGROUPS_ENAB variable in login.defs.

  Cambiare i valori predefiniti

When invoked with only the -D option, useradd will display the current default values. When invoked with -D plus other options, useradd will update the default values for the specified options. Valid default-changing options are:

-b, --base-dir BASE_DIR
    The path prefix for a new user's home directory. The user's name will be affixed to the end of BASE_DIR to form the new user's home directory name, if the -d option is not used when creating a new account.

-e, --expiredate EXPIRE_DATE
    La data in cui l'account dell'utente verrà disabilitato.

-f, --inactive INACTIVE
    Il numero di giorni dopo la scadenza di una password prima che l'account venga disabilitato.

-g, --gid GROUP
    Il nome o ID del gruppo iniziale per un nuovo utente. Il gruppo nominato deve esistere, ed un ID numerico di gruppo deve avere una voce esistente.

-s, --shell SHELL
    The name of a new user's login shell.

NOTE

L'amministratore di sistema è responsabile del posizionamento dei file predefiniti degli utenti nella directory /etc/skel/.

AVVISI/CAVEAT

You may not add a user to a NIS or LDAP group. This must be performed on the corresponding server.

Similarly, if the username already exists in an external user database such as NIS or LDAP, useradd will deny the user account creation request.

Usernames must begin with a lower case letter or an underscore, and only lower case letters, underscores, dashes, and dollar signs may follow. In regular expression terms: [a-z_][a-z0-9_-]*[$]

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

GID_MAX (number), GID_MIN (number)
    Range of group IDs used for the creation of regular groups by useradd, useradd, or newusers.

MAIL_DIR (string)
    The mail spool directory. This is needed to manipulate the mailbox when its corresponding user account is modified or deleted. If not specified, a compile-time default is used.

MAIL_FILE (string)
    Defines the location of the users mail spool files relatively to their home directory.

The MAIL_DIR and MAIL_FILE variables are used by useradd, usermod, and userdel to create, move, or delete the user's mail spool.

If MAIL_CHECK_ENAB is set to yes, they are also used to define the MAIL environment variable.

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

PASS_MAX_DAYS (number)
    The maximum number of days a password may be used. If the password is older than this, a password change will be forced. If not specified, -1 will be assumed (which disables the restriction).

PASS_MIN_DAYS (number)
    The minimum number of days allowed between password changes. Any password changes attempted sooner than this will be rejected. If not specified, -1 will be assumed (which disables the restriction).

PASS_WARN_AGE (number)
    The number of days warning given before a password expires. A zero means warning is given only upon the day of expiration, a negative value means no warning is given. If not specified, no warning will be provided.

SYS_GID_MAX (number), SYS_GID_MIN (number)
    Range of group IDs used for the creation of system groups by useradd, groupadd, or newusers.

SYS_UID_MAX (number), SYS_UID_MIN (number)
    Range of user IDs used for the creation of system users by useradd or newusers.

UID_MAX (number), UID_MIN (number)
    Range of user IDs used for the creation of regular users by useradd or newusers.

UMASK (number)
    The permission mask is initialized to this value. If not specified, the permission mask will be initialized to 022.

USERGROUPS_ENAB (boolean)
    Enable setting of the umask group bits to be the same as owner bits (examples: 022 -> 002, 077 -> 007) for non-root users, if the uid is the same as gid, and username is the same as the primary group name. If set to yes, userdel will remove the user's group if it contains no more members, and useradd will create by default a group with the name of the user.

FILE

/etc/passwd
    informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account di utenti.

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

/etc/default/useradd
    Default values for account creation.

/etc/skel/
    Directory contenente i file predefiniti.

/etc/login.defs
    Shadow password suite configuration.

VALORI RESTITUITI

The useradd command exits with the following values:

0
    successo

1
    can't update password file

2
    sintassi del comando errata

3
    invalid argument to option

4
    UID already in use (and no -o)

6
    il gruppo specificato non esiste

9
    username already in use

10
    non è possibile aggiornare il file group

12
    can't create home directory

13
    can't create mail spool

VEDERE ANCHE

chfn(1), chsh(1), passwd(1), crypt(3), groupadd(8), groupdel(8), groupmod(8), login.defs(5), newusers(8), userdel(8), usermod(8).